// Copyright CodeSpartan, 2022. All rights reserved.


#include "AbilityAssetCpp.h"

FString UAbilityAssetCpp::GetIdentifierString() const
{
	return GetPrimaryAssetId().ToString();
}

FPrimaryAssetId UAbilityAssetCpp::GetPrimaryAssetId() const
{
	// This is a DataAsset and not a blueprint so we can just use the raw FName
	// For blueprints you need to handle stripping the _C suffix
	return FPrimaryAssetId(AssetType, GetFName());
}